function fnEnviarMail(tipo, nrSolic, nrCR) {
    var assunto  = "Fluig - Registro de Ocorrencia Nr: " + nrCR;

    if(tipo =='notificar') {  
        var mensagem = "Você está sendo notificado porque a solicitação " + nrSolic+" será finalizada." + "<br><br>";

        var dt = hAPI.getCardValue("mailSetorOco"); 

    }       

    if(tipo =='executar') {
        var mensagem = "Você tem uma atividade sob sua responsabilide. Solicitação: "+ nrSolic + " <br><br>";

        var dt = hAPI.getCardValue("mailOco"); 
        
    }    
    
    if(tipo =='iniciar') {
        var mensagem = "Você está sendo notificado porque houve um registro ocorrência aberta para seu tratamento. Solicitação: " +nrSolic + "<br><br>";
        
        var dt = hAPI.getCardValue("mailSetorOco"); 
        
    } 


        dt = dt.trim();
        var aux = dt.split(";");

        for (var i=0;i< aux.length;i++) {
        	try{
        		var mailT = aux[i].toString();
        		var c1 = DatasetFactory.createConstraint("mail", mailT, mailT, ConstraintType.MUST);
        		var constraints = new Array(c1);
        		var dataset = DatasetFactory.getDataset("colleague", new Array(), constraints, new Array());
        		
        		var userr = dataset.getValue(0, "colleaguePK.colleagueId");
        		var nomeUser = dataset.getValue(0, "colleagueName");
        		
                var parametros = new java.util.HashMap();
                parametros.put("username", nomeUser);
                parametros.put("mensagem", mensagem);
             
                parametros.put("subject", assunto);
                
                var destinatarios = new java.util.ArrayList();
                destinatarios.add(userr);
             
                notifier.notify("Administrador", "templateRO", parametros, destinatarios, "text/html");
             
            } catch(e){
                log.info(e);
            }
        }



}

